Message "64-bit Windows is required" | Webshots

Message "64-bit Windows is required"

Webshots5 is currently only available to users with 64 bit Windows systems. For now, if a paid subscriber, please continue using the previous version of Webshots, Webshots4. Here is a link to install or reinstall that version:

https://s3.amazonaws.com/download-webshots-com/webshots4x-latest.exe

The old version is no longer available to free subscribers. All free subscribers who can not update will no longer be able to use Webshots. We will keep your account's active in case you wish to use Webshots again, when you have a compatible system, at a later date.